/***************************************************************************
                          Table.h  -  description
                             -------------------
    begin                : Sat Nov 18 2000
    copyright            : (C) 2000 by Gyorgy Molnar
    email                : lindev@home.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef my_table
#define my_table

enum _KeyTokens
{
  // no need conversion
  tcNull, tc2nd,
  tcDeg, tcRad, tcGrad,
  tcPi,  tcEe,

  //special
  tcTab, tcLen,
  tcHex, tcDec, tcOct, tcBin,
  // StrToDouble
  tcXy,  tcYvx, tcMul,tcDiv, tcSub, tcAdd, tcMod,
  tcSin, tcCos, tcTan, tcAsin, tcAcos, tcAtan,
  tcLn,  tcLog, tcEx, tc10x,
  tcPl,  tcPr,
  tcX2,  tcX3,  tcX1, tc2vx, tc3vx, tcEq, tcFe, tcFix,
  tcM,   tcMp, tcMr, tcMc, // Mr; Mc don't need, but it's ok
  tcAnd, tcOr, tcXor, tcNeg,
  // DoubleToStr
  tc0,   tc1, tc2, tc3,tc4, tc5, tc6, tc7, tc8, tc9,
  tcA,   tcB, tcC, tcD, tcE, tcF,
  tcBsp, tcCe, tcAc, // CE; Ac dont need, but it's ok
  tcEmin, tcExp, tcMin, tcDot,
};

typedef enum _KeyTokens KeyTokens;

#endif
